{: test that string parameter causes a compilation error
   if the actual parameter is not a compatible string}

program e1079( output );

type
   str = packed array[1..10] of char;
   ach = array[1..10] of char;

var
   s1 : packed array[1..9] of char;
procedure p(s: ach);
begin
end; { p }

begin { e1079 }
   s1 := '123456789';
   p(s1); {!!! not s string}
end. { e1079 }

